#pragma once
#include <Figments.h>
#include <ArduinoLog.h>

class DrainAnimation: public Figment {
public:
  DrainAnimation();
    void loop() override;
    void handleEvent(const InputEvent& event) override;
    void render(Display* dpy) const override;
  private:
    AnimatedRGB m_fillColor;
    void fillRange(Display* dpy, const PhysicalCoordinates &start, const PhysicalCoordinates& end, const CHSV &baseColor) const;
    uint16_t m_pos;
    uint16_t m_burst;
};
